<?php /* This file stallion_color_css_custom-98.php is never loaded by Stallion, it's here to make creating new DARK color schemes faster, it's the same settings from The Black n White color scheme, with this information for a faster way to search and replace colors in a text editor rather than setting them manually on the "Appearance >> Stallion Color Scheme CSS File Creator Options" page. The Black n White color scheme was made using the stallion_color_css_custom-99.php file (LIGHT version) using the search and replace info described below with a few minor manual adjustments.

Looking to make a LIGHT color scheme use the file stallion_color_css_custom-99.php file.

Make a copy of this file and name it one of the custom files, for example stallion_color_css_custom-05.php or stallion_color_css_custom-03.php : make sure you edit lines 218 to 223 to include the relevant custom file names (I added example to the three relevant lines).

By using Search and Replace on the color codes below (#FEFEFE, #F0F0F0...) to quickly generate a color scheme with your own colors. You will see below #FEFEFE (which is Almost White) corresponds to anchor text and 23 options use this color, if you wanted the anchor text to be bright green #00FF00 you would search and replace #FEFEFE for #00FF00 through this entire file.

After search and replacing the colors below load the new settings on the options page

Stallion Color Options - Color Scheme CSS File Creator Defaults : Custom 05

The #010101 corresponds to the color black (it's in affect #000000) and works well if not changed. I suggest not changing #010101 in this file, but manually change the #010101 options on the Stallion Color Scheme CSS File Creator page. Getting the backgrounds right is much harder than anchor text etc... so best to set them manually. I've set pretty much all backgrounds black, if you wanted blockquotes to have a yellow background and pre to be green change them manually.

After loading your colors on the CSS creator options page you can save CSS files and backups as described on that options page. This file is basically a quick way to set a general color scheme, idea is to manually edit before saving the CSS file etc... generated from the Stallion Color Scheme CSS File Creator Options page.

Use this list as your search and replace starting point, select #FEFEFE and replace all instances for another color code like #00FF00

################################################################################################
#010101   (Almost Black) = Mostly Backgrounds, this will set the over all dark or light nature of the theme - 36 Options Use this Color, best not to change this one.

#FEFEFE   (Almost White -looks white) = Anchor Text - 23 Options Use this Color
#F0F0F0   (Very Light Grey) = Anchor Text Hover - 26 Options Use this Color

#DCDCDC   (Light Grey) = Text - 29 Options Use this Color
#505050   (Very Light Charcoal) = Outer Gradient and SearchForm Backgrounds- 4 Options Use this Color
#323232   (Dark Grey) = Borders - 24 Options Use this Color

#404040   (Charcoal) = Menu - Background Gradient 1 and Dropdown Anchor Text Color - 8 Options Use this Color
#282828   (Slightly lighter Charcoal) = Menu - Background Gradient 2 - 3 Options Use this Color
#FCFCFC   (Almost White same as using FFFFFF) = Menu Top Line Anchor Text Color and Dropdown Background - 4 Options Use this Color
#F5F5F5   (Very Light Grey, almost White) = Menu Top Line Anchor Text Hoverover Color and Dropdown Borders - 4 Options Use this Color
################################################################################################

Avoid replacing with a color code already listed above. If you wanted Very Light Grey (#F0F0F0) anchor text you would replace #FEFEFE (Almost White) for #F0F0F0(Very Light Grey). The hoverover anchor text was already set to #F0F0F0 (Very Light Grey) so now you would have both the anchor text and hoverover options set to Very Light Grey making it impossible to only change the hoverover text without changing the anchor text (obviously if you want the anchor text and hoverover to be the same you would do the above). The solution is either change the setting that already uses that color code first or select a color code that's similar: this code is also Very Light Grey #EFEFEF, you won't be able to tell the difference between it and the Very Light Grey used below.

After creating your CSS file and backup on the Appearance >> Stallion Color Scheme CSS File Creator Options page you can delete this file and start again.

*/ ?>
<?php /* Stallion Responsive Color Backup */ ?>
<?php $user = themeID(); if ($user != null) : ?>
<?php function st_css_stallion_defaults() {
$st_css_colors1 = get_option('str_theme_colors_child');
## Background Colors ##
$st_css_colors1['color-1'] = '#505050'; # Outer Gradient 1
$st_css_colors1['color-2'] = '#505050'; # Outer Gradient 2
$st_css_colors1['color-5'] = '#010101'; # Inner Gradient 1
$st_css_colors1['color-6'] = '#010101'; # Inner Gradient 2
## Header Area ##
$st_css_colors1['color-29'] = '#010101'; # Head Background
$st_css_colors1['color-30'] = '#323232'; # Head Top and Bottom Border
$st_css_colors1['color-32'] = '#DCDCDC'; # Body Text Color (generally not used)
$st_css_colors1['color-35'] = '#FEFEFE'; # Head Home Link Anchor Text
$st_css_colors1['color-38'] = '#F0F0F0'; # Head Home Link Anchor Text Hover
$st_css_colors1['color-41'] = '#DCDCDC'; # Head Tagline Text
$st_css_colors1['color-44'] = '#505050'; # Head Search Form Background
$st_css_colors1['color-47'] = '#505050'; # Head Search Form Background Hover
$st_css_colors1['color-50'] = '#323232'; # Head Search Form Border All
$st_css_colors1['color-51'] = '#DCDCDC'; # Head Search Form Text
## Main Content ##
$st_css_colors1['color-56'] = '#010101'; # Main Content Background Gradient 1
$st_css_colors1['color-59'] = '#010101'; # Main Content Background Gradient 2
$st_css_colors1['color-61'] = '#323232'; # Main Content Border Top and Bottom
$st_css_colors1['color-62'] = '#323232'; # Main Content Border Left and Right
$st_css_colors1['color-63'] = '#010101'; # Main Content Separator Line : Line Between Archived Posts
$st_css_colors1['color-65'] = '#DCDCDC'; # Large Heading Text
$st_css_colors1['color-68'] = '#FEFEFE'; # H* Post Links Anchor Text
$st_css_colors1['color-71'] = '#F0F0F0'; # H* Post Links Anchor Text Hover
$st_css_colors1['color-74'] = '#DCDCDC'; # Date Area Text
$st_css_colors1['color-77'] = '#FEFEFE'; # Date Area Links Anchor Text
$st_css_colors1['color-80'] = '#F0F0F0'; # Date Area Links Anchor Text Hover
$st_css_colors1['color-83'] = '#DCDCDC'; # Main Content Text
$st_css_colors1['color-86'] = '#DCDCDC'; # Main Content H* Headers Text (H1, H2... H6)
$st_css_colors1['color-89'] = '#FEFEFE'; # Main Content Links Anchor Text
$st_css_colors1['color-92'] = '#F0F0F0'; # Main Content Links Anchor Text Hover
$st_css_colors1['color-95'] = '#010101'; # Main Content Blockquote Background
$st_css_colors1['color-96'] = '#323232'; # Main Content Blockquote Border All
$st_css_colors1['color-98'] = '#DCDCDC'; # Main Content Blockquote Text
$st_css_colors1['color-101'] = '#DCDCDC'; # Main Content Blockquote Cite Text
$st_css_colors1['color-104'] = '#010101'; # Main Content Code Background
$st_css_colors1['color-107'] = '#323232'; # Main Content Code Border All
$st_css_colors1['color-110'] = '#DCDCDC'; # Main Content Code Text
$st_css_colors1['color-113'] = '#010101'; # Main Content Pre Background
$st_css_colors1['color-114'] = '#323232'; # Main Content Pre Border All
$st_css_colors1['color-116'] = '#DCDCDC'; # Main Content Pre Text
$st_css_colors1['color-119'] = '#FEFEFE'; # Main Comment Button Links Anchor Text
$st_css_colors1['color-122'] = '#F0F0F0'; # Main Comment Button Links Anchor Text Hover
$st_css_colors1['color-123'] = '#010101'; # Main Comment Button Links Background
$st_css_colors1['color-124'] = '#010101'; # Main Comment Button Links Background Hover
$st_css_colors1['color-125'] = '#FEFEFE'; # Main Comment Button Links Border All
$st_css_colors1['color-126'] = '#F0F0F0'; # Main Comment Button Links Border All Hover
## Images ##
$st_css_colors1['color-131'] = '#010101'; # Gallery HoverOver Caption Background
$st_css_colors1['color-134'] = '#DCDCDC'; # Gallery HoverOver Caption Text
$st_css_colors1['color-137'] = '#010101'; # Image Caption Background
$st_css_colors1['color-140'] = '#323232'; # Image Caption Border
$st_css_colors1['color-143'] = '#DCDCDC'; # Image Caption Text
$st_css_colors1['color-146'] = '#FEFEFE'; # Image Caption Anchor Text
$st_css_colors1['color-149'] = '#F0F0F0'; # Image Caption Anchor Text Hover
$st_css_colors1['color-152'] = '#010101'; # Caption Image Link Hover Background
$st_css_colors1['color-155'] = '#F0F0F0'; # Caption Image Link Hover Border
$st_css_colors1['color-158'] = '#323232'; # Image Border
$st_css_colors1['color-161'] = '#010101'; # Image Link Hover Background
$st_css_colors1['color-164'] = '#F0F0F0'; # Image Link Hover Border
## Featured Slider ##
$st_css_colors1['color-186'] = '#010101'; # Slider Main Background
$st_css_colors1['color-190'] = '#323232'; # Slider Main Border
$st_css_colors1['color-191'] = '#010101'; # Inner Text Background
$st_css_colors1['color-192'] = '#DCDCDC'; # Inner Text
$st_css_colors1['color-195'] = '#FEFEFE'; # Inner Link Anchor Text
$st_css_colors1['color-198'] = '#F0F0F0'; # Inner Link Anchor Text Hover
$st_css_colors1['color-200'] = '#010101'; # Bottom Button
$st_css_colors1['color-201'] = '#F0F0F0'; # Bottom Button Hover
$st_css_colors1['color-202'] = '#FEFEFE'; # Bottom Button Border
$st_css_colors1['color-203'] = '#FEFEFE'; # Bottom Button Border Hover
$st_css_colors1['color-204'] = '#FEFEFE'; # Bottom Button Arrow
$st_css_colors1['color-205'] = '#F0F0F0'; # Bottom Button Arrow Hover
## Miscellaneous ##
$st_css_colors1['color-214'] = '#323232'; # Next - Prev Navigation Border
$st_css_colors1['color-217'] = '#FEFEFE'; # Next - Prev Navigation Links Anchor Text
$st_css_colors1['color-220'] = '#F0F0F0'; # Next - Prev Navigation Links Anchor Text Hover
$st_css_colors1['color-223'] = '#FEFEFE'; # Scroll Top/Bottom Arrows
$st_css_colors1['color-226'] = '#F0F0F0'; # Scroll Top/Bottom Arrows Hover
## Author Biography Box ##
$st_css_colors1['color-244'] = '#010101'; # Background Gradient 1
$st_css_colors1['color-247'] = '#010101'; # Background Gradient 2
$st_css_colors1['color-250'] = '#323232'; # Border All
$st_css_colors1['color-253'] = '#DCDCDC'; # Text
$st_css_colors1['color-256'] = '#FEFEFE'; # Anchor Text
$st_css_colors1['color-259'] = '#F0F0F0'; # Anchor Text Hover
## Widgets ##
$st_css_colors1['color-289'] = '#323232'; # Widget Border All
$st_css_colors1['color-292'] = '#010101'; # Widget Heading Background
$st_css_colors1['color-293'] = '#323232'; # Widget Heading Top and Bottom Border
$st_css_colors1['color-295'] = '#010101'; # Widget Background
$st_css_colors1['color-298'] = '#DCDCDC'; # Widget Heading Text
$st_css_colors1['color-301'] = '#DCDCDC'; # Widget Text
$st_css_colors1['color-304'] = '#FEFEFE'; # Widget Links Anchor Text
$st_css_colors1['color-307'] = '#F0F0F0'; # Widget Links Anchor Text Hover
$st_css_colors1['color-310'] = '#FEFEFE'; # Widget Heading Links Anchor Text
$st_css_colors1['color-313'] = '#F0F0F0'; # Widget Heading Links Anchor Text Hover
$st_css_colors1['color-314'] = '#010101'; # Search Widget Button Background
$st_css_colors1['color-315'] = '#FEFEFE'; # Search Widget Button Border All
$st_css_colors1['color-316'] = '#FEFEFE'; # Search Widget Button Go Text
$st_css_colors1['color-317'] = '#010101'; # Search Widget Button Background Hover
$st_css_colors1['color-318'] = '#F0F0F0'; # Search Widget Button Border All Hover
$st_css_colors1['color-319'] = '#F0F0F0'; # Search Widget Button Text Hover
## Comments ##
$st_css_colors1['color-346'] = '#DCDCDC'; # Comment Main Headings Text
$st_css_colors1['color-349'] = '#010101'; # Comment Form Input Box Background
$st_css_colors1['color-352'] = '#010101'; # Comment Form Input Box Background Hover
$st_css_colors1['color-355'] = '#FEFEFE'; # Comment Form Input Box Border All
$st_css_colors1['color-358'] = '#F0F0F0'; # Comment Form Input Box Border All Hover
$st_css_colors1['color-359'] = '#DCDCDC'; # Comment Form Text Labels (Name, Mail...) (Typed Text)
$st_css_colors1['color-360'] = '#DCDCDC'; # Comment Form Text (Typed Text)
$st_css_colors1['color-361'] = '#010101'; # Comment Submit Button Background
$st_css_colors1['color-362'] = '#FEFEFE'; # Comment Submit Button Border All
$st_css_colors1['color-363'] = '#FEFEFE'; # Comment Submit Button Text
$st_css_colors1['color-364'] = '#010101'; # Comment Submit Button Background Hover
$st_css_colors1['color-365'] = '#F0F0F0'; # Comment Submit Button Border All Hover
$st_css_colors1['color-366'] = '#F0F0F0'; # Comment Submit Button Text Hover
$st_css_colors1['color-367'] = '#010101'; # Even Comments Background
$st_css_colors1['color-370'] = '#DCDCDC'; # Even Comments Text
$st_css_colors1['color-373'] = '#010101'; # Odd Comments Background
$st_css_colors1['color-376'] = '#DCDCDC'; # Odd Comments Text
$st_css_colors1['color-379'] = '#FEFEFE'; # Links Anchor Text
$st_css_colors1['color-382'] = '#F0F0F0'; # Links Anchor Text Hover
$st_css_colors1['color-385'] = '#DCDCDC'; # Comment Title Text (Comments with Titles)
$st_css_colors1['color-388'] = '#DCDCDC'; # H* Headers Text (H1, H2... H6)
$st_css_colors1['color-391'] = '#010101'; # Comment Blockquote Background
$st_css_colors1['color-392'] = '#323232'; # Comment Blockquote Border All
$st_css_colors1['color-394'] = '#DCDCDC'; # Comment Blockquote Text
$st_css_colors1['color-397'] = '#DCDCDC'; # Comment Blockquote Cite Text
$st_css_colors1['color-400'] = '#010101'; # Comment Code Background
$st_css_colors1['color-403'] = '#DCDCDC'; # Comment Code Text
$st_css_colors1['color-406'] = '#323232'; # Comment Code Border All
$st_css_colors1['color-409'] = '#010101'; # Comment Pre Background
$st_css_colors1['color-410'] = '#323232'; # Comment Pre Border All
$st_css_colors1['color-412'] = '#DCDCDC'; # Comment Pre Text
$st_css_colors1['color-413'] = '#323232'; # Individual Comments Outer Border Top
$st_css_colors1['color-414'] = '#323232'; # Individual Comments Outer Border Bottom
$st_css_colors1['color-415'] = '#323232'; # Individual Comments Outer Border Left and Right
$st_css_colors1['color-418'] = '#323232'; # Individual Comments Inner Border All
$st_css_colors1['color-421'] = '#323232'; # Admin Individual Comments Inner Border All
## Footer ##
$st_css_colors1['color-454'] = '#010101'; # Footer Background
$st_css_colors1['color-457'] = '#323232'; # Footer Top and Bottom Border
$st_css_colors1['color-460'] = '#DCDCDC'; # Footer Text
$st_css_colors1['color-463'] = '#FEFEFE'; # Footer Links Anchor Text
$st_css_colors1['color-466'] = '#F0F0F0'; # Footer Links Anchor Text Hover
## Navigation Menu Desktop : 800px Plus Screens ##
$st_css_colors1['color-491'] = '#404040'; # Menu Top Line - Background Gradient 1
$st_css_colors1['color-494'] = '#282828'; # Menu Top Line - Background Gradient 2
$st_css_colors1['color-497'] = '#282828'; # Menu Top Line - Hover Background Gradient 1
$st_css_colors1['color-500'] = '#404040'; # Menu Top Line - Hover Background Gradient 2
$st_css_colors1['color-503'] = '#404040'; # Menu Top Line - DropDown Top Background
$st_css_colors1['color-506'] = '#FCFCFC'; # Menu Top Line - Right Border
$st_css_colors1['color-509'] = '#FCFCFC'; # Menu Top Line - Links Anchor Text
$st_css_colors1['color-515'] = '#F5F5F5'; # Menu Top Line - Links Anchor Text Hover
$st_css_colors1['color-516'] = '#F5F5F5'; # Menu Top Line - Right Border Hover
$st_css_colors1['color-518'] = '#FCFCFC'; # Menu DropDown - Background
$st_css_colors1['color-521'] = '#F5F5F5'; # Menu DropDown - Border All
$st_css_colors1['color-524'] = '#404040'; # Menu DropDown - Links Anchor Text
$st_css_colors1['color-527'] = '#FCFCFC'; # Menu DropDown - Background Hover
$st_css_colors1['color-530'] = '#404040'; # Menu DropDown - Links Anchor Text Hover
## Navigation Menu Mobile ##
$st_css_colors1['color-554'] = '#404040'; # Menu Top Line - Background Gradient 1
$st_css_colors1['color-557'] = '#282828'; # Menu Top Line - Background Gradient 2
$st_css_colors1['color-560'] = '#FCFCFC'; # Menu DropDown - Background
$st_css_colors1['color-563'] = '#FCFCFC'; # Menu DropDown - Background Hover
$st_css_colors1['color-566'] = '#F5F5F5'; # Menu DropDown - Bottom Borders
$st_css_colors1['color-569'] = '#404040'; # Menu DropDown - Links Anchor Text
$st_css_colors1['color-572'] = '#404040'; # Menu DropDown - Links Anchor Text Hover
## Leave Blank ##
$st_css_colors1['css-1'] = ''; # Leave Blank
$st_css_colors1['css-2'] = ''; # Leave Blank
## Theme Details ##
$st_css_colors1['theme-name-1'] = 'Stallion Responsive Black n White Theme Example'; # Theme Name
$st_css_colors1['theme-name-2'] = 'http://stallion-theme.co.uk/'; # Theme URI
$st_css_colors1['theme-name-3'] = 'David Law (aka SEO Dave)'; # Theme Author
$st_css_colors1['images-loc'] = 'images/'; # Theme Image Folder
$st_css_colors1['theme-filename-css'] = 'style-black-n-white-example.css'; # Theme Filename CSS
$st_css_colors1['theme-filename-php'] = 'stallion_color_css_black-n-white-example.php'; # Theme Filename PHP Backup
update_option('str_theme_colors_child', $st_css_colors1);
}
?>
<?php {st_css_stallion_defaults();} ?>
<?php function st_my_stallion_defaults() {
$themeshort = get_option('template');
########## Reset Color Settings ##########
$st_options7 = get_option('theme-'.$themeshort.'-colours');
$st_options7['st_theme_colors_csss_child'] = '0';
update_option('theme-'.$themeshort.'-colours', $st_options7);
}
?>
<?php {st_my_stallion_defaults();} ?>
<?php function stchild_my_stallion_defaults() {
########## Reset Child Settings ##########
$st_options8 = get_option('theme-' . st_child_directory() . '-child');
$st_options8['stchild_theme_colors_csss_child'] = 'stdefaults';
update_option('theme-' . st_child_directory() . '-child', $st_options8);
}
?>
<?php {stchild_my_stallion_defaults();} ?><?php endif; ?>