<?php /* Start: The code below runs the built in Favicon plugin */ ?>
<?php if (!class_exists('cbnetFavIcon')) { ?>
<?php /* because it's based on a plugin with modifications and some classes and functions are reused the line above checks a class within the original plugin doesn't exist, if the class cbnetFavIcon doesn't exist it means you haven't installed the original plugin (can't use the original and the built in version at the same time so we give the original priority). If we didn't add this check the site would crash with an error if you activated the original plugin and the Stallion Favicon built in plugin. So if you ever add a plugin or widget it's a good idea to either change the name of all classes and functions in your version or add a check like this one. */ ?>
<?php if (stchild_favicons() == '1') { ?>
<?php /* If the original plugin isn't active the line above checks what the option stchild_favicons is set under Child Theme Options > Stallion Favicons On/Off and if it's set to 1 (ON) runs the next line of code. */ ?>
<?php get_template_part( 'plugins/cbnet-favicon' ); ?>
<?php /* The above line of code looks for the php file /stallion-responsive-child/plugins/cbnet-favicon.php and runs it. Because I've used get_template_part if you delete the cbnet-favicon.php file Stallion will look for the file inside the main Stallion Responsive theme folder (it's how get_template_part works, really cool WordPress feature normally used for overriding main theme php files by adding the same named file to the child theme), if it doesn't find the file nothing is loaded.  The next two lines end the two if statements above. */ ?>
<?php } ?>
<?php } ?>
<?php /* You'll also find a little bit of code for this feature in the file /stallion-responsive/plugins/misc-plugin.php starting with (if ( ((function_exists('stchild_favicons')..). That code checks if the Favicon feature is active and it's setting and interacts with the main theme setting "Stallion Color Options > Stallion Gravatar Favicon", which also adds a Favicon. If the child theme feature is active we don't want the Gravatar used as a favicon, there's a lot of if, or and and's in that code :-). */ ?>
<?php /* Favicon code End */ ?>